<div *ngIf="project">
  <div class="row mb-2 mb-md-0">
    <div class="col-md-8">
      <h4 class="page-title">
        <span *ngIf="project.status == 'locked'" class="text-danger"><i class="fas fa-lock"></i></span>
        {{ project.name }}
        <span *ngIf="project.status == 'locked'" class="text-danger"> (gesperrt)</span>
        <span *ngIf="project.status == 'past'" class="text-secondary"> (vergangen)</span>
      </h4>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item" *ngIf="project.status != 'past'"><a routerLink="/projects">Projekte</a></li>
          <li class="breadcrumb-item" *ngIf="project.status == 'past'"><a routerLink="/projects/past">Vergangene Projekte</a></li>
          <li class="breadcrumb-item active" aria-current="page">{{project.name}}</li>
        </ol>
      </nav>
    </div>
    <div class="col-md-4">
      <div class="btn-group float-right" role="group" id="projectActions">
        <button type="button" class="btn btn-outline-info" (click)="sendReminder()" tooltip="Reminder senden"
                [delay]="500" *ngIf="isProjectManager && project.status != 'past' && project.status !='draft'">
          <i class="fas fa-envelope"></i>
        </button>
        <button type="button" class="btn btn-outline-info" routerLink="settings"
                 tooltip="Projekt bearbeiten" [delay]="500" *ngIf="isProjectEditor">
          <i class="fas fa-cog"></i>
        </button>
        <button type="button" class="btn btn-outline-info" routerLink="stats"
                *ngIf="isProjectManager"><i class="fas fa-chart-line"></i></button>
        <button type="button" class="btn btn-outline-info" (click)="getPdf()" tooltip="Probenplan erstellen"
                [delay]="500"><span><i class="far fa-file-pdf"></i></span></button>
        <button type="button" class="btn btn-outline-info" (click)="getIcal()" tooltip="iCal exportieren" delay="500"><i
            class="far fa-calendar"></i></button>
      </div>
    </div>
  </div>
  <div>
    <div class="row mb-3">
      <div class="col-md-6 mb-3">
        <div class="card mb-3" id="projectDetails">
          <div class="card-heading">
            <h5>Projektdetails</h5>
          </div>
          <div class="card-body" *ngIf="project.status != 'past'">
            <eos-announcement-button
                [project]="project"
                [ensembleId]="ensembleId"
                [mode]="'project'"
                (announcementChanged)="announcementChanged()">
            </eos-announcement-button>
          </div>
          <div class="card-body" *ngIf="project.description != ''">
            <h5 class="card-title">
              Beschreibung:
            </h5>
            <p class="card-text" [innerHTML]="project.description"></p>
          </div>
          <div class="card-body">
            <h5 class="card-title">
              Daten:
            </h5>
            <span>Projektzeitraum: {{project.start | date: 'shortDate'}}
              - {{project.end | date: 'shortDate'}}</span>
            <br>
            <span>Anmeldedeadline: {{project.deadline | date: 'short'}} Uhr</span>
            <br>
            <span [ngClass]="{'text-danger': project.status != 'active'}">Projektstatus: {{ 'project.' + project.status | translate }}</span>
          </div>
        </div>
        <app-event-group-card [eventgroups]="eventgroups" [project]="project"
                              *ngIf="isProjectEditor || (eventgroups)"></app-event-group-card>
      </div>
      <div class="col-md-6 mb-3">
        <eos-event-card [events]="events" [project]="project"
                        (updateMultipleEventsEmitter)="updateMultipleEvents()"></eos-event-card>
        <eos-event-past-card [events]="pastEvents" [project]="project"></eos-event-past-card>
      </div>
    </div>
  </div>
</div>